summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorAllen Byrne <byrn@hdfgroup.org>2016-10-19 17:09:40 (GMT)
committerAllen Byrne <byrn@hdfgroup.org>2016-10-19 17:09:40 (GMT)
commit7652ba12b0497a9d6d1197463d611d10da602351 (patch)
treea4271c32b70cc6aa79baca746ddafef2acde27da /tools
parent72440b2e364b1fa076dba9822fd2ab68001b2b52 (diff)
downloadhdf5-7652ba12b0497a9d6d1197463d611d10da602351.zip
hdf5-7652ba12b0497a9d6d1197463d611d10da602351.tar.gz
hdf5-7652ba12b0497a9d6d1197463d611d10da602351.tar.bz2
Add new testlib to copy
Diffstat (limited to 'tools')
-rw-r--r--tools/h5repack/h5repack_plugin.sh.in50
1 files changed, 28 insertions, 22 deletions
diff --git a/tools/h5repack/h5repack_plugin.sh.in b/tools/h5repack/h5repack_plugin.sh.in
index a064db6..e129eef 100644
--- a/tools/h5repack/h5repack_plugin.sh.in
+++ b/tools/h5repack/h5repack_plugin.sh.in
@@ -1,16 +1,16 @@
#! /bin/sh
#
-# Copyright by The HDF Group.
-# All rights reserved.
-#
-# This file is part of HDF5. The full HDF5 copyright notice, including
-# terms governing use, modification, and redistribution, is contained in
-# the files COPYING and Copyright.html. COPYING can be found at the root
-# of the source code distribution tree; Copyright.html can be found at the
-# root level of an installed copy of the electronic document set and is
-# linked from the top-level documents page. It can also be found at
-# http://hdfgroup.org/HDF5/doc/Copyright.html. If you do not have access
-# to either file, you may request a copy from help@hdfgroup.org.
+# Copyright by The HDF Group.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the files COPYING and Copyright.html. COPYING can be found at the root
+# of the source code distribution tree; Copyright.html can be found at the
+# root level of an installed copy of the electronic document set and is
+# linked from the top-level documents page. It can also be found at
+# http://hdfgroup.org/HDF5/doc/Copyright.html. If you do not have access
+# to either file, you may request a copy from help@hdfgroup.org.
#
srcdir=@srcdir@
TOP_BUILDDIR=@top_builddir@
@@ -34,6 +34,7 @@ exit_code=$EXIT_SUCCESS
TEST_NAME=ud_plugin
FROM_DIR=`pwd`/.libs
PLUGIN_LIB="$FROM_DIR/libdynlibadd.*"
+PLUGIN_LIB2="$FROM_DIR/libdynlibvers.*"
PLUGIN_LIBDIR=testdir3
RM='rm -rf'
@@ -90,6 +91,11 @@ if [ $? != 0 ]; then
echo "Failed to copy plugin library ($PLUGIN_LIB) for test."
exit $EXIT_FAILURE
fi
+$CP $PLUGIN_LIB2 $PLUGIN_LIBDIR
+if [ $? != 0 ]; then
+ echo "Failed to copy plugin library ($PLUGIN_LIB2) for test."
+ exit $EXIT_FAILURE
+fi
# setup plugin path
ENVCMD="env HDF5_PLUGIN_PATH=../${PLUGIN_LIBDIR}"
@@ -113,7 +119,7 @@ COPY_TESTFILES_TO_TESTDIR()
$CP -f $tstfile $TESTDIR
if [ $? -ne 0 ]; then
echo "Error: FAILED to copy $tstfile ."
-
+
# Comment out this to CREATE expected file
exit $EXIT_FAILURE
fi
@@ -168,11 +174,11 @@ STDOUT_FILTER() {
# cleanup
rm -f $tmp_file
}
-
+
# This runs h5repack comparing output with h5dump output
# from -pH option
#
-TOOLTEST_DUMP()
+TOOLTEST_DUMP()
{
echo $@
infile=$2
@@ -186,7 +192,7 @@ TOOLTEST_DUMP()
shift
shift
-
+
# Run test.
TESTING $H5REPACK $@
(
@@ -209,10 +215,10 @@ TOOLTEST_DUMP()
nerrors="`expr $nerrors + 1`"
test yes = "$verbose" && diff -c $expect1 $actual1 |sed 's/^/ /'
fi
- VERIFY h5dump output -pH $outfile
+ VERIFY h5dump output -pH $outfile
(
cd $TESTDIR
- $ENVCMD $H5DUMP_BIN -pH $outfile
+ $ENVCMD $H5DUMP_BIN -pH $outfile
) >$actual2 2>$actual2_err
RET=$?
cat $actual2_err >> $actual2
@@ -225,26 +231,26 @@ TOOLTEST_DUMP()
nerrors="`expr $nerrors + 1`"
test yes = "$verbose" && diff -c $expect2 $actual2 |sed 's/^/ /'
fi
-
+
fi
-
+
rm -f $actual1 $actual1_err $actual2 $actual2_err
rm -f $outfile
}
##############################################################################
-### T H E T E S T S
+### T H E T E S T S
##############################################################################
# prepare for test
COPY_TESTFILES_TO_TESTDIR
# Run the test
arg="h5repack_layout.h5 -v -f UD=257,1,9"
-TOOLTEST_DUMP plugin_test $arg
+TOOLTEST_DUMP plugin_test $arg
#arg="h5repack_layout.UD.h5 -v -f NONE"
-#TOOLTEST_DUMP plugin_none $arg
+#TOOLTEST_DUMP plugin_none $arg
# print results
if test $nerrors -ne 0 ; then